Subject: Re: bug#73444: 30.0.50; mingw-w64: Emacs uses CRT's `read` when _FORTIFY_SOURCE > 0

From: Eli Zaretskii <[email-masked]>
Date: Tue, 24 Sep 2024 16:12:35 +0300

> From: Óscar Fuentes <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 24 Sep 2024 14:34:28 +0200
> X-Spam-Status: No
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Óscar Fuentes <[email-masked]>
> >> Date: Tue, 24 Sep 2024 00:29:37 +0200
> >> 
> >> BTW, #63752 was filed about the observable problems when Emacs is built
> >> with _FORTIFY_SOURCE on mingw-w64, which documents an ensuing effort to
> >> try to identify the cause, unsuccessfully.
> >
> > I don't think I follow.  Are you saying that these two bugs should be
> > merged, because solving this problem with 'read' solves also the
> > problems reported in bug#63752?  Or are there other problems with
> > _FORTIFY_SOURCE that are still left unresolved if the issue with
> > 'read' is fixed?
> 
> #63752 describes the simptons and tries to identify the cause, this bug
> (#73444) provides the cause and discusses a possible fix, hopefully one
> that covers the general case and not just `read'.

The fix posted here affects only 'read', unless I'm missing
something...

> I was not aware of the existence of #63752 when I created this bug. As
> what to do with #63752, I have no preferences.

That's okay.  If you tell that fixing the issue with 'read' solves the
problem described in bug#63752, I will merge them.  But if some
problems caused by _FORTIFY_SOURCE still remain after fixing 'read',
then bug#63752 is more general, and I think they should remain
separate, so that when we close this one, the other one stays open.